﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BlockInput : MonoBehaviour
{

    public Character character;
    public BlockReader blockReader;
    public float waitTime;

    public void Update()
    {
        if (Input.GetKeyDown(KeyCode.LeftShift) && Input.GetKeyDown(KeyCode.Space))
            ReadNext();
        else if (Input.GetKeyDown(KeyCode.Space))
            StartCoroutine(ReadRoutine(waitTime));
    }

    [ContextMenu("Read Next")]
    public void ReadNext()
    {
        blockReader.Read(character);
    }


    public IEnumerator ReadRoutine(float waitTime)
    {
        while (!blockReader.Finished)
        {     
            ReadNext();
            yield return new WaitForSeconds(waitTime);
        }

        blockReader.Reset();
    }

}
